/*----------------------------------------------------------------------
"Debugging Applications" (Microsoft Press)
Copyright (c) 1997-2000 John Robbins -- All rights reserved.
----------------------------------------------------------------------*/
#ifndef _STDAFX_H
#define _STDAFX_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN

// Turn off some MFC specific errors.
// '' : assignment operator could not be generated
#pragma warning ( disable : 4512 )
// '' : copy constructor could not be generated
#pragma warning ( disable : 4511 )
// conditional expression is constant
#pragma warning ( disable : 4127 )
// '' : identifier was truncated to 255 characters in the debug info.
#pragma warning ( disable : 4786 )

#include <WarningsOff.h>

#include <stdlib.h>
#include <errno.h>

#include <afxwin.h>
#include <afxext.h>
#include <afxdtctl.h>
#include <afxtempl.h>

#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>
#endif // _AFX_NO_AFXCMN_SUPPORT

#include "BugslayerUtil.h"
#include "CPUHelp.h"
#include "DebugInterface.h"
#include "LocalAssist.h"

#include <vector>
#include <map>
using namespace std ;


#include <WarningsOn.h>


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // _STDAFX_H
